=== debian/changelog ===
pyside2 (2.0.0+dev1-1~202102130210~rev1858~pkg5~git131fdfd1~ubuntu16.04.1) xenial; urgency=low

  * Auto build.

 -- Tully <tully.foote@gmail.com>  Sat, 13 Feb 2021 02:10:36 +0000

pyside2 (2.0.0+dev1) xenial; urgency=medium

  * Updated packaging files for new upstream work on PySide2

 -- Thomas Karl Pietrowski <thopiekar@googlemail.com>  Sat, 26 Sep 2015 22:56:13 +0100

pyside (1.2.2-1ubuntu2) wily; urgency=medium

  * No-change rebuild against libshiboken-py3-1.2v5.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 07:54:54 +0200

pyside (1.2.2-1ubuntu1) wily; urgency=medium

  * Adapt for changed ShibokenConfig cmake file name with python3 ≥ 3.5

 -- Iain Lane <iain@orangesquash.org.uk>  Sun, 26 Jul 2015 12:13:37 +0100

pyside (1.2.2-1) unstable; urgency=medium

  * New 1.2.2 upstream release 
    - Bump B-Ds on shiboken to 1.2.2
    - Update debian/control.in to cope with latest changes not synced

 -- Didier Raboud <odyx@debian.org>  Thu, 01 May 2014 17:58:10 +0200

pyside (1.2.1-4) unstable; urgency=high

  * Make the python3 modules renaming idempotent (Closes: #742130)
  * Set urgency to high for fixing unuseable python3 modules in testing

 -- Didier Raboud <odyx@debian.org>  Thu, 20 Mar 2014 10:09:09 +0100

pyside (1.2.1-3) unstable; urgency=medium

  * Brown-paper-bag upload to fix sparc for real
  * Mark the two AutoDecRef symbols optional

 -- Didier Raboud <odyx@debian.org>  Thu, 06 Mar 2014 13:41:34 +0100

pyside (1.2.1-2) unstable; urgency=low

  * Mark the AutoDecRef destructor symbol as optional as it chokes on sparc
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Mar 2014 14:13:50 +0100

pyside (1.2.1-1) unstable; urgency=low

  * New 1.2.1 upstream release.
    - Drop upstream-imported patches
    - Bump B-Ds on shiboken to 1.2.1
    - Bump libpyside SOVERSION to 1.2
    - Replaced Nokia with Digia in debian/copyright
    - Add one 1.2.1 new symbol

  * Update debian/watch

 -- Didier Raboud <odyx@debian.org>  Wed, 11 Sep 2013 20:21:32 +0200

pyside (1.1.2-4) unstable; urgency=low

  [ Julian Taylor ]
  * Update install files and debian/rules to account for removal of "u"
    python3 abi flag.

 -- Didier Raboud <odyx@debian.org>  Fri, 14 Jun 2013 13:55:56 +0200

pyside (1.1.2-3) unstable; urgency=low

  * Help the sbuild apt resolver by adding phonon to Build-Depends and
    phonon-backend-null to Build-Conflicts.

 -- Didier Raboud <odyx@debian.org>  Fri, 14 Jun 2013 10:34:10 +0200

pyside (1.1.2-2) unstable; urgency=low

  * Upload to unstable

  [ Didier Raboud ]
  * Bump debhelper build-depends to 9, to align with compat.
  * Bump Standards-Version to 3.9.4 without changes needed.
  * Fix watch file.
  * Bump build-depends on shiboken to 1.1.2-4~ as -3 in unstable is
    broken.
  * Limit compilation on python3 > 3.3 as does shiboken.
  * Backport 3 commits from upstream to fix build against recent Qt.
  * Fix compilation against python3.3 in debian/rules.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Didier Raboud <odyx@debian.org>  Wed, 12 Jun 2013 10:50:50 +0200

pyside (1.1.2-1) experimental; urgency=low

  * New 1.1.2 "Alaursa" release.
    - Update B-Ds:
      + bump shiboken to 1.1.2.
    - Refresh patches.
  * Update control.in to match what should have been there before; also
    drop the Python3 provides.

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Sep 2012 23:59:59 +0200

pyside (1.1.1-3) unstable; urgency=low

  * Make sure python3-pyside.* packages depend on python3.
    (Closes: #674404)

 -- Didier Raboud <odyx@debian.org>  Thu, 24 May 2012 14:13:43 +0200

pyside (1.1.1-2) unstable; urgency=low

  * Mark one symbol as optional as it disappears with gcc-4.7.
   (Closes: #673659)

 -- Didier Raboud <odyx@debian.org>  Tue, 22 May 2012 09:47:40 +0200

pyside (1.1.1-1) unstable; urgency=low

  * New 1.1.1 "Free Hugs" release.
    - Update B-Ds:
      - drop generatorrunner;
      + bump shiboken to 1.1.1.

 -- Didier Raboud <odyx@debian.org>  Fri, 20 Apr 2012 19:15:42 +0200

pyside (1.1.0-2) unstable; urgency=low

  [ Simon Ruderich ]
  * Pass hardening CPPFLAGS trough CFLAGS/CXXFLAGS. (Closes: #666679)

  [ Didier Raboud ]
  * Bump Standards-Version to 3.9.3 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Sun, 01 Apr 2012 16:55:55 +0200

pyside (1.1.0-1) unstable; urgency=low

  * New 1.1.0 “Adriano” release.
    - Bump B-Ds:
      + generatorrunner to 0.6.16.
      + shiboken to 1.1.0.
    - Bump libpyside SONAME to 1.1.

 -- Didier Raboud <odyx@debian.org>  Wed, 04 Jan 2012 15:52:27 +0100

pyside (1.0.9-2) unstable; urgency=low

  * Debug flavours are not built anymore: support to build them locally is
    kept (and documented) though. (Closes: #629919)

 -- Didier Raboud <odyx@debian.org>  Tue, 13 Dec 2011 14:13:10 +0100

pyside (1.0.9-1) unstable; urgency=low

  * New 1.0.9 “Sheldon” release.
    - Bump B-Ds:
      + generatorrunner to 0.6.15.
      + shiboken to 1.0.10.
    - Symbols:
      + Add two for 1.0.9.

  * Refresh patches.
  * Upload the python3 flavours to unstable.

 -- Didier Raboud <odyx@debian.org>  Fri, 09 Dec 2011 11:48:46 +0100

pyside (1.0.8-1+py3~exp1) experimental; urgency=low

  * Build with hardening flags enabled:
    - Add upstream patch `Fix bug 1012 - "FTBFS with hardening flags enabled"`
    - Drop debian/rules snippet that avoided "format" hardening features.
  * Don't forget py3 temporary symbol files on clean.

 -- Didier Raboud <odyx@debian.org>  Mon, 31 Oct 2011 23:05:07 +0100

pyside (1.0.8-1+py3~exp0) experimental; urgency=low

  * Build for python3 versions too:
    - Add python3-all-{dev,dbg} build-depends;
    - Add X-Python3-Version entry in debian/control;
    - Build-Depend on a python3-enabled libshiboken-dev;
    - Add a new libpyside-py3-1.0 package;
    - Make sure symbols are also tracked for this new library;
    - Add new python3 packages for all modules;
    - Add a new python3-pyside-dbg package;

