=== debian/control ===
Source: pyside2
Section: python
Priority: optional
Maintainer: Thomas Karl Pietrowski <thopiekar@googlemail.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.8.4+dfsg.1-3~), dpkg-dev (>= 1.15.6),
 dh-python,
# Python2
 python-all-dev, python-all-dbg,
# Python3
 python3-all-dev, python3-all-dbg,
# Qt5 Base
 qtbase5-dev | qtbase5-gles-dev, qtbase5-private-dev | qtbase5-private-gles-dev,
# Qt5 Multimedia
 qtmultimedia5-dev,
# Qt5 OpenGL
 libqt5opengl5-dev | libqt5opengl5-gles-dev,
# Qt5 Skript
 qtscript5-private-dev | qtscript5-dev,
# Qt5 Tools
 qttools5-private-dev | qttools5-dev,
 qttools5-dev-tools,
 qtdeclarative5-dev, qtdeclarative5-private-dev,
# Qt5 WebKit
 libqt5webkit5-dev,
 libqt5svg5-private-dev | libqt5svg5-dev,
 libqt5xmlpatterns5-private-dev | libqt5xmlpatterns5-dev,
# Qt5 X11 Extras
 libqt5x11extras5-dev,
# Shiboken
 shiboken2, shiboken2-dbg, libshiboken2-dev,
# Documentation
 libgraphviz-dev,
# Testing suite
 libqt5sql5-sqlite, xvfb, xauth
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Vcs-Git: https://github.com/PySide/pyside2.git
Vcs-Browser: https://github.com/PySide/pyside2/
Homepage: https://github.com/PySide/pyside2

Package: python-pyside2
Architecture: all
Depends: ${misc:Depends},
  python-pyside2.qtconcurrent (>= ${binary:Version}),
  python-pyside2.qtcore (>= ${binary:Version}),
  python-pyside2.qtgui (>= ${binary:Version}),
  python-pyside2.qthelp (>= ${binary:Version}),
  python-pyside2.qtnetwork (>= ${binary:Version}),
  python-pyside2.qtprintsupport (>= ${binary:Version}),
  python-pyside2.qtqml (>= ${binary:Version}),
  python-pyside2.qtquick (>= ${binary:Version}),
  python-pyside2.qtquickwidgets (>= ${binary:Version}),
  python-pyside2.qtscript (>= ${binary:Version}),
  python-pyside2.qtsql (>= ${binary:Version}),
  python-pyside2.qtsvg (>= ${binary:Version}),
  python-pyside2.qttest (>= ${binary:Version}),
  python-pyside2.qtuitools (>= ${binary:Version}),
  python-pyside2.qtwebkit (>= ${binary:Version}),
  python-pyside2.qtwebkitwidgets (>= ${binary:Version}),
  python-pyside2.qtwidgets (>= ${binary:Version}),
  python-pyside2.qtx11extras (>= ${binary:Version}),
  python-pyside2.qtxml (>= ${binary:Version})
Description: Python bindings for Qt5 (big metapackage)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Python bindings for Qt5 framework. This is a metapackage for all modules.

Package: python-pyside2-dbg
Architecture: any
Priority: extra
Section: debug
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends},
  shiboken2-dbg (>= 1.2.2),
  python-pyside2 (>= ${binary:Version}),
  python-pyside2.qtconcurrent-dbg (>= ${binary:Version}),
  python-pyside2.qtcore-dbg (>= ${binary:Version}),
  python-pyside2.qtgui-dbg (>= ${binary:Version}),
  python-pyside2.qthelp-dbg (>= ${binary:Version}),
  python-pyside2.qtnetwork-dbg (>= ${binary:Version}),
  python-pyside2.qtprintsupport-dbg (>= ${binary:Version}),
  python-pyside2.qtqml-dbg (>= ${binary:Version}),
  python-pyside2.qtquick-dbg (>= ${binary:Version}),
  python-pyside2.qtquickwidgets-dbg (>= ${binary:Version}),
  python-pyside2.qtscript-dbg (>= ${binary:Version}),
  python-pyside2.qtsql-dbg (>= ${binary:Version}),
  python-pyside2.qtsvg-dbg (>= ${binary:Version}),
  python-pyside2.qttest-dbg (>= ${binary:Version}),
  python-pyside2.qtuitools-dbg (>= ${binary:Version}),
  python-pyside2.qtwebkit-dbg (>= ${binary:Version}),
  python-pyside2.qtwebkitwidgets-dbg (>= ${binary:Version}),
  python-pyside2.qtwidgets-dbg (>= ${binary:Version}),
  python-pyside2.qtx11extras-dbg (>= ${binary:Version}),
  python-pyside2.qtxml-dbg (>= ${binary:Version}),
  libpyside2.0 (= ${binary:Version})
Description: Python bindings for Qt 4 (debug symbols)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols.

Package: python3-pyside2
Architecture: all
Depends: ${misc:Depends},
  python3-pyside2.qtconcurrent (>= ${binary:Version}),
  python3-pyside2.qtcore (>= ${binary:Version}),
  python3-pyside2.qtgui (>= ${binary:Version}),
  python3-pyside2.qthelp (>= ${binary:Version}),
  python3-pyside2.qtnetwork (>= ${binary:Version}),
  python3-pyside2.qtprintsupport (>= ${binary:Version}),
  python3-pyside2.qtqml (>= ${binary:Version}),
  python3-pyside2.qtquick (>= ${binary:Version}),
  python3-pyside2.qtquickwidgets (>= ${binary:Version}),
  python3-pyside2.qtscript (>= ${binary:Version}),
  python3-pyside2.qtsql (>= ${binary:Version}),
  python3-pyside2.qtsvg (>= ${binary:Version}),
  python3-pyside2.qttest (>= ${binary:Version}),
  python3-pyside2.qtuitools (>= ${binary:Version}),
  python3-pyside2.qtwebkit (>= ${binary:Version}),
  python3-pyside2.qtwebkitwidgets (>= ${binary:Version}),
  python3-pyside2.qtwidgets (>= ${binary:Version}),
  python3-pyside2.qtx11extras (>= ${binary:Version}),
  python3-pyside2.qtxml (>= ${binary:Version})
Description: Python3 bindings for Qt5 (big metapackage)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Python3 bindings for Qt5 framework. This is a metapackage for all modules.

Package: python3-pyside2-dbg
Architecture: any
Priority: extra
Section: debug
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${shlibs:Depends}, ${misc:Depends},
  ${python3:Depends},
  shiboken2-dbg (>= 1.2.2),
  python3-pyside2 (>= ${binary:Version}),
  python3-pyside2.qtconcurrent-dbg (>= ${binary:Version}),
  python3-pyside2.qtcore-dbg (>= ${binary:Version}),
  python3-pyside2.qtgui-dbg (>= ${binary:Version}),
  python3-pyside2.qthelp-dbg (>= ${binary:Version}),
  python3-pyside2.qtnetwork-dbg (>= ${binary:Version}),
  python3-pyside2.qtprintsupport-dbg (>= ${binary:Version}),
  python3-pyside2.qtqml-dbg (>= ${binary:Version}),
  python3-pyside2.qtquick-dbg (>= ${binary:Version}),
  python3-pyside2.qtquickwidgets-dbg (>= ${binary:Version}),
  python3-pyside2.qtscript-dbg (>= ${binary:Version}),
  python3-pyside2.qtsql-dbg (>= ${binary:Version}),
  python3-pyside2.qtsvg-dbg (>= ${binary:Version}),
  python3-pyside2.qttest-dbg (>= ${binary:Version}),
  python3-pyside2.qtuitools-dbg (>= ${binary:Version}),
  python3-pyside2.qtwebkit-dbg (>= ${binary:Version}),
  python3-pyside2.qtwebkitwidgets-dbg (>= ${binary:Version}),
  python3-pyside2.qtwidgets-dbg (>= ${binary:Version}),
  python3-pyside2.qtx11extras-dbg (>= ${binary:Version}),
  python3-pyside2.qtxml-dbg (>= ${binary:Version}),
  libpyside-py3-2.0 (= ${binary:Version})
Description: Python3 bindings for Qt 4 (debug symbols)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the python3 modules.

Package: libpyside2.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Python bindings for Qt 5 (base files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains base files used by all modules.

Package: libpyside-py3-2.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Python3 bindings for Qt 5 (base files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains base files used by all python3 modules.

Package: libpyside2-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
# PySide2
 libpyside2.0 (= ${binary:Version}), libpyside-py3-2.0 (= ${binary:Version}),
# Qt5 Base
 qtbase5-dev | qtbase5-gles-dev, qtbase5-private-dev | qtbase5-private-gles-dev,
# Qt5 Multimedia
 qtmultimedia5-dev,
# Qt5 OpenGL
 libqt5opengl5-dev | libqt5opengl5-gles-dev,
# Qt5 Skript
 qtscript5-private-dev | qtscript5-dev,
# Qt5 Tools
 qttools5-private-dev | qttools5-dev,
 qttools5-dev-tools,
 qtdeclarative5-dev, qtdeclarative5-private-dev,
# Qt5 WebKit
 libqt5webkit5-dev,
 libqt5svg5-private-dev | libqt5svg5-dev,
 libqt5xmlpatterns5-private-dev | libqt5xmlpatterns5-dev,
# Qt5 X11 Extras
 libqt5x11extras5-dev,
Replaces: libpyside0.3 (<< 0.4.0)
Breaks: libpyside0.3 (<< 0.4.0)
Description: Python bindings for Qt 5 (development files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the development headers for the libpyside2 library.

Package: python-pyside2.qtconcurrent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libpyside2.0 (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt 5 Concurrent module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtConcurrent module.

Package: python-pyside2.qtconcurrent-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libpyside2.0 (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt 5 Concurrent module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtConcurrent module.

Package: python3-pyside2.qtconcurrent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libpyside-py3-2.0 (= ${binary:Version})
Description: Qt 5 Concurrent module - Python3 bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python3 bindings for the QtConcurrent module.

Package: python3-pyside2.qtconcurrent-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libpyside-py3-2.0 (= ${binary:Version})
Description: Qt 5 Concurrent module - Python3 bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python3 bindings for the QtConcurrent module.

Package: python-pyside2.qtcore
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libpyside2.0 (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt 5 core module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtCore module.

Package: python-pyside2.qtcore-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libpyside2.0 (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt 5 core module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtCore module.

Package: python3-pyside2.qtcore
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libpyside-py3-2.0 (= ${binary:Version})
Description: Qt 5 core module - Python3 bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
